Skip to main content

Working Hours

Working hours schedule for the salon (and/or masters). Multiple rows per day are supported (for breaks).
All endpoints require authentication and salon owner permissions.

day_of_week: 0 = Sunday, 1 = Monday, ..., 6 = Saturday.


List Working Hours

GET /api/v1/salons/:id/working_hours

Response 200

{
"success": true,
"status": "200",
"message": "Working hours retrieved successfully",
"errors": null,
"data": [
{
"id": "uuid",
"day_of_week": 1,
"start_time": "09:00",
"end_time": "18:00",
"master_id": null
}
]
}

Add Working Hours

POST /api/v1/salons/:id/working_hours

Request

{
"working_hours": {
"day_of_week": 1,
"start_time": "09:00",
"end_time": "18:00",
"master_id": null
}
}

master_id — optional. If null, the record applies to the entire salon.

Response 201

{
"success": true,
"status": "201",
"message": "Working hours created successfully",
"errors": null,
"data": {
"id": "uuid",
"day_of_week": 1,
"start_time": "09:00",
"end_time": "18:00",
"master_id": null
}
}

Update Working Hours

PATCH /api/v1/salons/:id/working_hours/:wid

Request

{
"working_hours": {
"start_time": "10:00",
"end_time": "20:00"
}
}

Response 200

Same body as POST response.


Delete Working Hours

DELETE /api/v1/salons/:id/working_hours/:wid

Response 200

{
"success": true,
"status": "200",
"message": "Working hours deleted successfully",
"errors": null,
"data": null
}